libzstd1_1.4.3+dfsg-1_amd64.deb


Advertisement

Description

libzstd1 - fast lossless compression algorithm

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libzstd1_1.4.3+dfsg-1_amd64.deb
Package name libzstd1
Package version 1.4.3+dfsg
Package release 1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://github.com/facebook/zstd
License -
Maintainer Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Download size 241.54 KB
Installed size 705.00 KB

Alternatives

Package Version Architecture Repository
libzstd1_1.4.3+dfsg-1_i386.deb 1.4.3+dfsg i386 Debian Main
libzstd1 - - -

Requires

Name Value
libc6 >= 2.14

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libzstd1_1.4.3+dfsg-1_amd64.deb
Source Package libzstd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libzstd1 deb package:
    # sudo apt-get install libzstd1

Files

Path
/usr/lib/x86_64-linux-gnu/libzstd.so.1
/usr/lib/x86_64-linux-gnu/libzstd.so.1.4.3
/usr/share/doc/libzstd1/changelog.Debian.gz
/usr/share/doc/libzstd1/changelog.gz
/usr/share/doc/libzstd1/copyright

Changelog

2019-08-20 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.4.3+dfsg-1) unstable; urgency=medium
[ Alexandre Mestiashvili ]
* Fix a typo causing test failures on mips(el) architectures in
d/patches/0013-skip-memory-greedy-tests.patch
* Remove circle.yml from Files-Excluded section in d/copyright
* New upstream version 1.4.3+dfsg
2019-08-19 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.4.2+dfsg-1) unstable; urgency=medium
[ Justin Aplin ]
* New upstream version 1.4.2+dfsg
* Refresh and drop applied by upstream patches
* Add patch aliasing two renamed but unchanged symbols to maintain backwards
compatibility
* Build with ZSTD_LEGACY_MULTITHREADED_API=1 to maintain backwards
compatibility
* Update symbols file for libzstd1
* Call dh_makeshlibs with -V 'libzstd1 (>= 1.4.0)', since this version
introduced new public symbols
* Bump debhelper compat level to 12.
* Bump Standards-Version to 4.4.0, no changes needed.
* Salsa-CI integration
[ Alexandre Mestiashvili ]
* Add .cirrus.yml to Files-Excluded list in d/copyright
2019-01-05 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.8+dfsg-3) unstable; urgency=medium
* Add patch fixing zstdgrep exit code when operating on files
Closes: #918390, thanks to Jörg-Volker Peetz <jvpeetz@web.de>
2019-01-03 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.8+dfsg-2) unstable; urgency=medium
* Add patch skipping tests failing on GNU/Hurd when writing to special files
such as /dev/zero or /dev/random
* Upload to unstable
2018-12-31 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.8+dfsg-1) experimental; urgency=medium
* Add .circleci to Files-Excluded
* New upstream version 1.3.8+dfsg
* Update docs, install all md files and CHANGELOG
* Bumpt Policy to 4.3.0
* Refresh and drop applied by upstream patches
* Update symbols file for libzstd1,
removed! 6 symbols from experimental API, but no reverse dependencies
of libzstd1 seem to use any of the removed symbols
See also: https://github.com/facebook/zstd/issues/1111
* Call dh_makeshlibs with -V 'libzstd1 (>= 1.3.8)', since this version
introduced new public symbols
* Update zstd.lintian-overrides, zstd{grep,less} got man pages
2018-10-12 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.5+dfsg-2) unstable; urgency=medium
* Add udeb package for libzstd1, Closes: #908834
* Bump Policy to 4.2.1
* Call dh_makeshlibs with -V 'libzstd1 (>= 1.3.5)', since this version
introduced new public symbols
2018-09-21 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.5+dfsg-1) unstable; urgency=medium
[ Alexandre Mestiashvili ]
* Add attribuition for the patch
* Fix varying number of threads in pzstd man page, making build reproducible
* New upstream version 1.3.5+dfsg
* Refresh and drop patches applied by upstream
* Update d/zstd.lintian-overrides
[ Balint Reczey ]
* Update symbols file
* Allow Invoking `zstd --list` When `stdin` is not a `tty`
2018-05-09 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.4+dfsg-3) unstable; urgency=medium
* Add patch provided by Chris Lamb making build reproducible,
Closes: #897904
* Update patch skipping heavy tests on mips(el) and hurd
* Add patch fixing tests on GNU/Hurd
* Drop not needed override_dh_auto_test
2018-05-02 - Alexandre Mestiashvili <mestia@debian.org>
libzstd (1.3.4+dfsg-2) unstable; urgency=medium
* Add liblzma-dev and liblz4-dev to build-depends to enable xz and lz4 support
* Patch tests to avoid FTBFS on mips(el) architectures
* Use help2man for pzstd man page, drop patches providing obsolete man pages
* Update zstd.lintian-overrides, add more binaries without man pages
* Add override for dh_auto_test, on hurd run only simple tests
* Update 0012-typos.patch, forward to upstream

See Also

Package Description
libzthread-2.3-2_2.3.2-8_amd64.deb Object-oriented synchronization library for C++
libzthread-dev_2.3.2-8_amd64.deb Object-oriented synchronization library for C++
libzulucrypt-dev_5.6.0-1_amd64.deb development files for libzulucrypt-1.2.0
libzulucrypt-exe-dev_5.6.0-1_amd64.deb development files for the libzulucrypt-exe
libzulucrypt-exe1.2.0_5.6.0-1_amd64.deb provide the main functions of zulucrypt
libzulucrypt-plugins_5.6.0-1_amd64.deb collection of plugins for zulucrypt
libzulucrypt1.2.0_5.6.0-1_amd64.deb provide the functions of zulumount
libzulucryptpluginmanager-dev_5.6.0-1_amd64.deb development files for libzulucryptpluginmanager
libzulucryptpluginmanager1.0.0_5.6.0-1_amd64.deb provides support for plugins
libzvbi-common_0.2.35-16_all.deb Vertical Blanking Interval decoder (VBI) - common files
libzvbi-dev_0.2.35-16_amd64.deb Vertical Blanking Interval decoder (VBI) - development files
libzvbi-doc_0.2.35-16_all.deb Vertical Blanking Interval decoder (VBI) - documentation files
libzvbi0_0.2.35-16_amd64.deb Vertical Blanking Interval decoder (VBI) - runtime files
libzxcvbn-dev_2.4+dfsg-2_amd64.deb password strength estimation library - development files
libzxcvbn0_2.4+dfsg-2_amd64.deb password strength estimation library
Advertisement
Advertisement